[tox]
minversion = 1.6
skipsdist = True
envlist = py26,py27,pep8

[testenv]
setenv = VIRTUAL_ENV={envdir}
usedevelop = True
install_command = pip install {opts} {packages}
deps = -r{toxinidir}/requirements.txt
       -r{toxinidir}/test-requirements.txt
commands =
  python setup.py testr --slowest --testr-args='{posargs}'

[tox:jenkins]
sitepackages = True
downloadcache = ~/cache/pip

[testenv:pep8]
commands = flake8

[testenv:cover]
setenv = VIRTUAL_ENV={envdir}
commands =
  python setup.py testr --coverage

[testenv:venv]
commands = {posargs}

[flake8]
exclude = .venv,.tox,dist,doc,*.egg
show-source = true
# E123, E125, and H ignored intentionally in this code-base
ignore = E123,E125,H
select = H231

[testenv:docs]
commands = python setup.py build_sphinx
